## skylendar 4.2nn

=== CMakeLists.txt ===
#
# Skylendar 4.2
#
# Copyright Christophe Gros skylendar@yahoo.com 2000-2016
#
# This software has been released under the terms of the GPL
# license.
#
project(skylendar)
set(SKYSITE "http://")
cmake_minimum_required(VERSION 2.8.12)
configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
#option(SHARED_CODE "Set to TRUE if shared database")
#option(NATIVE "Set to TRUE for PostgreSQL native driver")
#if(NATIVE)
 set(PostgreSQL_ADDITIONAL_VERSIONS "9.3" "9.4" "9.5" "9.6" "10.0")
 find_package(PostgreSQL)
 set(PostgreSQL_TYPE_INCLUDE_DIR "${PostgreSQL_INCLUDE_DIRS}/postgresql/server")
#endif(NATIVE)

set (QT_MIN_VERSION "5.4.0")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Network Sql PrintSupport DBus Xml Svg LinguistTools)

#set(CMAKE_AUTOMOC ON)

add_definitions (-DHAVE_CONFIG_H=1)
add_subdirectory(src)

=== src/CMakeLists.txt ===
#
# Skylendar 4.2nn
#
# Copyright Christophe Gros skylendar@yahoo.com 2000-2020
#
# This software has been released under the terms of the GPL
# license.
#

macro(Compile_rc OBJ SRC SRCS)
	if(MINGW)
    # This gets us DLL resource information when compiling on MinGW.
    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${OBJ}
                       COMMAND windres.exe
                            -D GCC_WINDRES
                            -I ${CMAKE_CURRENT_SOURCE_DIR}
                            -I ${CMAKE_CURRENT_BINARY_DIR}
                           -o ${CMAKE_CURRENT_BINARY_DIR}/${OBJ}
                           -i ${CMAKE_CURRENT_SOURCE_DIR}/${SRC})
   set(${SRCS} ${${SRCS}} ${CMAKE_CURRENT_BINARY_DIR}/${OBJ})
 endif()
endmacro()

set(CPACK_PACKAGE_VERSION "4.2nn")

find_package(Perl)
if(Perl_FOUND)
	exec_program(${PERL_EXECUTABLE} ARGS ${skylendar_SOURCE_DIR}/src/pp.pl OUTPUT_VARIABLE PLIB)
endif()

if(NOT WIN32)
	if(CMAKE_SIZEOF_VOID_P EQUAL 8)
		set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib64")
	else()
		set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
	endif()
	set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
	set(APPS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/applications")
	set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/skylendar" CACHE PATH "Data path")
	set(ICON_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/icons")
	set(MIME_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/mime/packages")
	set(CPACK_PACKAGE_NAME "skylendar")
	set(CPACK_RPM_PACKAGE_GROUP "Science")
	set(CPACK_RPM_PACKAGE_LICENSE "GPL")
	set(CPACK_RPM_PACKAGE_URL "${SKYSITE}")
	set(CPACK_PACKAGE_CONTACT "Christophe Gros <skylendar@yahoo.com>")
	set(CPACK_RPM_PACKAGE_REQUIRES "postgresql >= 9.3.0, libqt5-sql-postgresql >= 4.8.5, perl >= 5.16, perl(XML::DOM) >= 1.44, perl(DBD::Pg)")
	if(CMAKE_SIZEOF_VOID_P EQUAL 8)
		set(CPACK_RPM_PACKAGE_ARCHITECTURE "x86_64")
	else()
		set(CPACK_RPM_PACKAGE_ARCHITECTURE "x86")
	endif()
	set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CPACK_RPM_PACKAGE_ARCHITECTURE}")
	set(CPACK_RPM_POST_INSTALL_SCRIPT_FILE "${CMAKE_SOURCE_DIR}/src/rpmpost.sh")
	set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Christophe Gros <skylendar@yahoo.com>")
	set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_SOURCE_DIR}/src/postinst;")
	set(CPACK_DEBIAN_PACKAGE_SECTION "Sciences")
	set(CPACK_DEBIAN_PACKAGE_MAINTAINER "C.Gros")
	set(CPACK_DEBIAN_PACKAGE_DESCRIPTION "Astrology software")
	set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://skylendar.sourceforge.io")
	set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt5core5a (>= 5.9), libqt5dbus5, libqt5gui5, libqt5network5, libqt5printsupport5,libqt5xml5, libqt5sql5, zlib1g, postgresql-client (>= 9.3.0), postgresql (>= 9.3), libqt5sql5-psql, perl (>= 5.16), libxml-dom-perl (>= 1.44), libdbd-pg-perl, gawk")
else()
	#set( CPACK_NSIS_EXTRA_PREINSTALL_COMMANDS "!include FontReg.nsh")
	set(CPACK_NSIS_INSTALL_ROOT "C:\\\\Program Files")
	set(LIB_INSTALL_DIR "bin")
	set(BIN_INSTALL_DIR "bin")
	set(SKYICON "${CMAKE_SOURCE_DIR}\\\\src\\\\skylendar.bmp")
	set(CPACK_PACKAGE_ICON ${SKYICON})
	set(DATA_INSTALL_DIR "data" CACHE PATH "Data path")
	set(CPACK_NSIS_MUI_ICON "${CMAKE_SOURCE_DIR}/src/skylendar.ico")
	set(CPACK_NSIS_MENU_LINKS "bin/skylendar.exe" "Skylendar" "bin/skydmin.exe" "Skydmin")
	set(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} Skylendar")
	set(CPACK_NSIS_URL_INFO_ABOUT "${SKYSITE}")
	SET(CPACK_NSIS_HELP_LINK "skylendar.sourceforge.io")
	set(CPACK_NSIS_INSTALLER_ICON_NAME "bin/skylendar.exe")
	set(CPACK_NSIS_MODIFY_PATH ON)
	set(CPACK_NSIS_CREATE_ICONS_EXTRA "CreateShortCut '\$DESKTOP\\\\${PROJECT_NAME}.lnk' '\$INSTDIR\\\\bin\\\\${PROJECT_NAME}.exe'")
	string(REPLACE "/" "\\" P1LIB ${PLIB})
	set(CPACK_NSIS_CREATE_ICONS_EXTRA "StrCpy $FONT_DIR $FONTS\n !insertmacro InstallTTFFont skylendar-${CPACK_PACKAGE_VERSION}-win32\\\\data\\\\skylendar.ttf\nSetOutPath ${PLIB}\nFile skylendar-${CPACK_PACKAGE_VERSION}-win32\\\\data\\\\skif.pm") 
endif()
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A powerful astrology software")
set(CPACK_PACKAGE_VENDOR "Skylendar")
set(CPACK_NSIS_CONTACT "skylendar@yahoo.com")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
include(CPack)
include(CPackComponent)
#CPACK_ADD_COMPONENT(postgreSQL DISPLAY_NAME PostgreSQL DESCRIPTION "Relational Database" DISABLED DOWNLOADED ARCHIVE_FILE "http://postgresql.org/download/")
#CPACK_ADD_COMPONENT(Perl DISPLAY_NAME Perl DESCRIPTION "Perl language" DISABLED DOWNLOADED ARCHIVE_FILE "http://dplus.en.softonic.com/ud-client/2000/2072/SoftonicDownloader_for_activeperl.exe")
#set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CPACK_RPM_PACKAGE_ARCHITECTURE}")
# ajouter find_package(SharedMimeInfo REQUIRED)
set(CMAKE_VERBOSE_MAKEFILE ON)
include_directories(${CMAKE_BINARY_DIR}/src ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/src/pics  ${CMAKE_SOURCE_DIR}/src/swe)
add_subdirectory(swe)
set(G "${PostgreSQL_INCLUDE_DIRS}")
list(GET G 0 M)
add_definitions(-std=c++11 -frtti -fopenmp -fexceptions -Wno-unused-parameter -Wno-unused-but-set-variable -Wno-overloaded-virtual -DSKYPATH=\"${DATA_INSTALL_DIR}\" -I${M})

if(CMAKE_COMPILER_IS_GNUCC)
  add_definitions(-fopenmp -Wunused-but-set-variable)
else()
  add_definitions(-fopenmp=libiomp5)
  endif()
if(SHARED_CODE)
	add_definitions(-DSHARED)
endif()

if(NATIVE)
	add_definitions(-DNATIVE)
endif()


add_subdirectory( pics )

########### next target ###############

set(skylendar_LIB_SRCS 
   aspconflist.cpp 
   asprestr.cpp 
   aspscanlist.cpp 
   astroaspects.cpp 
   astroaspectsarray.cpp 
   astrochart.cpp 
   astrochartbase.cpp 
   astrodata.cpp 
   astrodate.cpp 
   astrodirections.cpp 
   astroephemeris.cpp 
   astrograph.cpp 
   astrographics.cpp 
   astrohm.cpp 
   astrointerface.cpp 
   astromainwindow.cpp 
   astromidpoints.cpp 
   astroobjectslist.cpp 
   astroobjs.cpp 
   astroparams.cpp 
   astroresources.cpp 
   astrorestrictions.cpp 
   astrorings.cpp 
   astrosigns.cpp  
   astrosplash.cpp 
   astrosql.cpp 
   astrotarotspreads.cpp 
   astroutils.cpp 
   astrowindow.cpp 
   editaddmul.cpp 
   editastrodata.cpp 
   editchartparms.cpp
   editdefparms.cpp 
   editdirections.cpp 
   editplace.cpp 
   editrestrictions.cpp 
   graphiclistbase.cpp 
   localhorizonchart.cpp 
   objrestr.cpp 
   astroenter.cpp 
   scanspan.cpp 
   searchchart.cpp 
   searchdata.cpp 
   searchrest.cpp 
   solarsyschart.cpp 
   spreads.cpp 
   squared.cpp 
   stdgraphiclist.cpp 
   stdwheelchart.cpp 
   stopscan.cpp 
   tz.cpp 
   tzlist.cpp 
   validskif.cpp
   astroheader.cpp
   astroprocess.cpp
   astroapp.cpp
   astrogauquelinchart.cpp
    direngine.cpp
    astrohousepos.cpp
    astrobatch.cpp
    astroconstellations.cpp
    astrospot.cpp
)

if(SHARED_CODE)
	set(MOC_H scanclient.h astrogetvalues.h astrospinbox.h astroaccess.h astrochoosecol.h)
else()
	list(APPEND skylendar_LIB_SRCS editcountry.cpp)
	set(MOC_H scanclient.h astrogetvalues.h astrospinbox.h astrochoosecol.h astrochartbase.h astrowindow.h objrestr.h searchchart.h astroenter.h searchdata.h asprestr.h editplace.h validskif.h editdirections.h scanspan.h editaddmul.h editchartparms.h astroprocess.h editrestrictions.h searchrest.h astromainwindow.h editdefparms.h astrosplash.h editcountry.h localhorizonchart.h editastrodata.h stopscan.h astrodata.h astrospot.h)
endif()


set(SKYLENDAR_UI
	 asprestr.ui
   editaddmul.ui 
   editchartparms.ui 
   editcountry.ui 
   editdirections.ui
   objrestr.ui 
   scanspan.ui 
   searchchart.ui 
   searchdata.ui 
   searchrest.ui 
   spreads.ui 
   stopscan.ui 
   validskif.ui
   batch.ui
   about.ui
	 target.ui
)

if(SHARED_CODE)
	list(APPEND SKYLENDAR_UI editastrodata_shared.ui
		editrestrictions_shared.ui astroentershared.ui editplace_shared.ui
		 editdefparms_shared.ui access.ui astrosplash_shared.ui)
else()
	 list(APPEND SKYLENDAR_UI editastrodata.ui
		editrestrictions.ui editplace.ui  editdefparms.ui astroenter.ui astrosplash.ui)
endif()

qt5_wrap_ui(skylendar_LIB_SRCS ${SKYLENDAR_UI})

qt5_generate_dbus_interface(scanclient.h ${CMAKE_CURRENT_BINARY_DIR}/scanclient.xml)

qt5_add_dbus_adaptor(SRC ${CMAKE_CURRENT_BINARY_DIR}/scanclient.xml scanclient.h ScanClient)

qt5_generate_dbus_interface(astrogetvalues.h ${CMAKE_CURRENT_BINARY_DIR}/astrogetvalues.xml)

qt5_add_dbus_adaptor(SRC1 ${CMAKE_CURRENT_BINARY_DIR}/astrogetvalues.xml astrogetvalues.h AstroGetValues)

qt5_generate_dbus_interface(astroprocess.h ${CMAKE_CURRENT_BINARY_DIR}/astroprocess.xml)

qt5_add_dbus_interface(SRC2 ${CMAKE_CURRENT_BINARY_DIR}/astroprocess.xml astroprocessinterface)

qt5_add_dbus_adaptor(SRC3 ${CMAKE_CURRENT_BINARY_DIR}/astroprocess.xml astroprocess.h AstroComputing)

qt5_add_dbus_interface(SRC4 ${CMAKE_CURRENT_BINARY_DIR}/scanclient.xml scanclientinterface)

qt5_wrap_cpp(MOC_FILES ${MOC_H})

qt5_add_resources(RES skylendar.qrc)
link_directories(${PostgreSQL_LIBRARY_DIRS})
add_library(skyldr SHARED ${skylendar_LIB_SRCS} ${SRC} ${SRC1} ${SRC2} ${SRC3} ${SRC4} ${SRC5} ${MOC_FILES} ${RES})
#string(REPLACE "/cmake/Qt5" "/libQt5" L1 ${Qt5_DIR})
#set_target_properties(Qt5::Core PROPERTIES LOCATION  ${L1}Core.a)
#set_target_properties(Qt5::Xml PROPERTIES LOCATION  ${L1}Xml.a)
#set_target_properties(Qt5::Svg PROPERTIES LOCATION  ${L1}Svg.a)
#set_target_properties(Qt5::Widgets PROPERTIES LOCATION  ${L1}Widgets.a)
#set_target_properties(Qt5::Network PROPERTIES LOCATION  ${L1}Network.a)
#set_target_properties(Qt5::DBus PROPERTIES LOCATION  ${L1}DBus.a)

set(skyldr_LIBS 
Qt5::PrintSupport
Qt5::Xml
Qt5::Sql
Qt5::DBus
Qt5::Svg
Qt5::Network
z
swe
gomp
pq
)

if(WIN32)
	list(APPEND skyldr_LIBS wsock32)
	add_definitions(-IC:/qt/include/QtZlib)
else()
	list(APPEND skyldr_LIBS)
endif()
if(NATIVE)
	list(APPEND skyldr_LIBS ${PostgreSQL_LIBRARIES})
endif()

add_dependencies(skyldr swe)
#add_dependencies(skyldr KXmlRpcClient)

#link_directories(${PostgreSQL_LIBRARY_DIRS})
target_link_libraries(skyldr ${skyldr_LIBS})

set_target_properties(skyldr PROPERTIES VERSION ${CPACK_PACKAGE_VERSION} SOVERSION 4 )

install(TARGETS skyldr DESTINATION ${LIB_INSTALL_DIR})

########### next target ###############

set(skylendar_SRCS skylendar.cpp)

if(MINGW)
    # This gets us DLL resource information when compiling on MinGW.
    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/skyres.obj
                       COMMAND windres.exe
                            -D GCC_WINDRES
                            -I ${CMAKE_CURRENT_SOURCE_DIR}
                            -I ${CMAKE_CURRENT_BINARY_DIR}
                           -o ${CMAKE_CURRENT_BINARY_DIR}/skyres.obj
                           -i ${CMAKE_CURRENT_SOURCE_DIR}/skylendar.rc)
   list(APPEND skylendar_SRCS ${CMAKE_CURRENT_BINARY_DIR}/skyres.obj)
endif()
link_directories(${skylendar_SOURCE_DIR}/lib)

add_executable(skylendar WIN32 ${skylendar_SRCS})

target_link_libraries(skylendar skyldr)

install(TARGETS skylendar DESTINATION ${BIN_INSTALL_DIR})

########### next target ###############

set(skyservice_SRCS skyservice.cpp)
if(MINGW)
    # This gets us DLL resource information when compiling on MinGW.
    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/skysvres.obj
                       COMMAND windres.exe
                            -D GCC_WINDRES
                            -I ${CMAKE_CURRENT_SOURCE_DIR}
                            -I ${CMAKE_CURRENT_BINARY_DIR}
                           -o ${CMAKE_CURRENT_BINARY_DIR}/skysvres.obj
                           -i ${CMAKE_CURRENT_SOURCE_DIR}/skyservice.rc)
   list(APPEND skyservice_SRCS ${CMAKE_CURRENT_BINARY_DIR}/skysvres.obj)
endif()
add_executable(skyservice WIN32 ${skyservice_SRCS})

link_directories(${skylendar_SOURCE_DIR}/lib)

target_link_libraries(skyservice skyldr)

install(TARGETS skyservice DESTINATION ${BIN_INSTALL_DIR})

########### next target ###############
if(NOT SHARED)

	set(skydmin_SRCS skydmin.cpp)
	if(MINGW)
    # This gets us DLL resource information when compiling on MinGW.

=== debian/changelog ===
skylendar (4.2nn-1~mx19) mx; urgency=medium

  * Initial debian packaging
 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 28 Jun 2021 14:28:45 -0400

=== debian/control ===
Source: skylendar
Section: Miscellaneous
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Build-Depends:  cmake,
				debhelper (>= 13),
				libqt5core5a (>= 5.9),
				libqt5dbus5,
				libqt5gui5,
				libqt5network5,
				libqt5printsupport5,
				libqt5xml5,
				libqt5sql5,
				zlib1g,
				postgresql (>= 9.3),
				postgresql-server-dev-11,
				libqt5sql5-psql,
				libqt5svg5-dev,
				perl (>= 5.16),
				qttools5-dev,
				qttools5-dev-tools,
				libxml-dom-perl (>= 1.44),
				libdbd-pg-perl
Standards-Version: 4.5.1
Homepage: https://sourceforge.net/projects/skylendar/

Package: skylendar
Architecture: any
Depends: postgresql (>= 9.3),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Powerful astrology program, based on the swisseph library, with multitasking charts and data stored in a SQL database.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_BUILD_DIR = obj-${DEB_BUILD_GNU_TYPE}

%:
	dh $@

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/skylendar/usr/lib64/
	rm -rf $(CURDIR)/debian/skylendar/usr/local/

override_dh_usrlocal:

override_dh_installchangelogs:

## skylendar 4.2.1nn

=== CMakeLists.txt ===
#
# Skylendar 4.2.1nn
#
# Copyright Christophe Gros skylendar@yahoo.com 2000-2016
#
# This software has been released under the terms of the GPL
# license.
#
project(skylendar)
set(SKYSITE "http://")
cmake_minimum_required(VERSION 2.8.12)
configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
#option(SHARED_CODE "Set to TRUE if shared database")
#option(NATIVE "Set to TRUE for PostgreSQL native driver")
set(PostgreSQL_ADDITIONAL_VERSIONS "9.3" "9.4" "9.5" "9.6" "10.0" "13.0")
find_package(PostgreSQL)
message("${PostgreSQL_INCLUDE_DIRS}")
#set(PostgreSQL_TYPE_INCLUDE_DIR "${PostgreSQL_INCLUDE_DIRS}/postgresql/server")

set (QT_MIN_VERSION "5.4.0")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Network Sql PrintSupport DBus Xml Svg LinguistTools)

#set(CMAKE_AUTOMOC ON)

add_definitions (-DHAVE_CONFIG_H=1)
add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# Skylendar 4.2nn
+# Skylendar 4.2.1nn
 #
-# Copyright Christophe Gros skylendar@yahoo.com 2000-2020
+# Copyright Christophe Gros skylendar@yahoo.com 2000-2021
 #
 # This software has been released under the terms of the GPL
 # license.
@@ -21,7 +21,7 @@
  endif()
 endmacro()
 
-set(CPACK_PACKAGE_VERSION "4.2nn")
+set(CPACK_PACKAGE_VERSION "4.2.1nn")
 
 find_package(Perl)
 if(Perl_FOUND)
@@ -51,11 +51,11 @@
 		set(CPACK_RPM_PACKAGE_ARCHITECTURE "x86")
 	endif()
 	set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CPACK_RPM_PACKAGE_ARCHITECTURE}")
-	set(CPACK_RPM_POST_INSTALL_SCRIPT_FILE "${CMAKE_SOURCE_DIR}/src/rpmpost.sh")
-	set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Christophe Gros <skylendar@yahoo.com>")
-	set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_SOURCE_DIR}/src/postinst;")
+  set(CPACK_RPM_POST_INSTALL_SCRIPT_FILE "${CMAKE_SOURCE_DIR}/src/rpmpost.sh")
+	
 	set(CPACK_DEBIAN_PACKAGE_SECTION "Sciences")
 	set(CPACK_DEBIAN_PACKAGE_MAINTAINER "C.Gros")
+	set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_SOURCE_DIR}/src/postinst;")
 	set(CPACK_DEBIAN_PACKAGE_DESCRIPTION "Astrology software")
 	set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://skylendar.sourceforge.io")
 	set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt5core5a (>= 5.9), libqt5dbus5, libqt5gui5, libqt5network5, libqt5printsupport5,libqt5xml5, libqt5sql5, zlib1g, postgresql-client (>= 9.3.0), postgresql (>= 9.3), libqt5sql5-psql, perl (>= 5.16), libxml-dom-perl (>= 1.44), libdbd-pg-perl, gawk")
@@ -84,8 +84,7 @@
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
 include(CPack)
 include(CPackComponent)
-#CPACK_ADD_COMPONENT(postgreSQL DISPLAY_NAME PostgreSQL DESCRIPTION "Relational Database" DISABLED DOWNLOADED ARCHIVE_FILE "http://postgresql.org/download/")
-#CPACK_ADD_COMPONENT(Perl DISPLAY_NAME Perl DESCRIPTION "Perl language" DISABLED DOWNLOADED ARCHIVE_FILE "http://dplus.en.softonic.com/ud-client/2000/2072/SoftonicDownloader_for_activeperl.exe")
+
 #set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CPACK_RPM_PACKAGE_ARCHITECTURE}")
 # ajouter find_package(SharedMimeInfo REQUIRED)
 set(CMAKE_VERBOSE_MAKEFILE ON)
@@ -93,7 +92,7 @@
 add_subdirectory(swe)
 set(G "${PostgreSQL_INCLUDE_DIRS}")
 list(GET G 0 M)
-add_definitions(-std=c++11 -frtti -fopenmp -fexceptions -Wno-unused-parameter -Wno-unused-but-set-variable -Wno-overloaded-virtual -DSKYPATH=\"${DATA_INSTALL_DIR}\" -I${M})
+add_definitions(-std=c++11 -frtti -fopenmp -fexceptions -Wno-unused-parameter  -Wno-unused-but-set-variable -Wno-overloaded-virtual  -DSKYPATH="${DATA_INSTALL_DIR}" -I${M})
 
 if(CMAKE_COMPILER_IS_GNUCC)
   add_definitions(-fopenmp -Wunused-but-set-variable)
@@ -275,6 +274,11 @@
 target_link_libraries(skyldr ${skyldr_LIBS})
 
 set_target_properties(skyldr PROPERTIES VERSION ${CPACK_PACKAGE_VERSION} SOVERSION 4 )
+target_compile_features(skyldr PUBLIC cxx_std_17)
+add_library(enable_rtti INTERFACE)
+ target_compile_options(enable_rtti INTERFACE
+   $<$<OR:$<COMPILER_ID:GNU>,$<COMPILER_ID:Clang>>:-rtti>
+ )
 
 install(TARGETS skyldr DESTINATION ${LIB_INSTALL_DIR})
 
@@ -329,3 +333,8 @@
 	set(skydmin_SRCS skydmin.cpp)
 	if(MINGW)
     # This gets us DLL resource information when compiling on MinGW.
+    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/skydmres.obj
+                       COMMAND windres.exe
+                            -D GCC_WINDRES
+                            -I ${CMAKE_CURRENT_SOURCE_DIR}
+                            -I ${CMAKE_CURRENT_BINARY_DIR}

=== src/pics/CMakeLists.txt ===
add_subdirectory(tarots)

install(FILES 1.png eclipse.png journey.png ordeal.png square.png
2.png beginning.png end.png local.png previous.png stdlist.png
3.png coin.png exasp.png lunar_rev.png publication.png stdwheel.png
4.png company.png fest.png major.png restriction.png stick.png
accident.png country.png first.png marriage.png rising.png subtype.png
anim2.png cup.png group.png meeting.png searchdata.png sword.png
animation.png dirch.png icon.png newdata.png signch.png tarotspread.png
asptable.png direction.png idea.png next.png skylendar.jpg Type.png
astrograph.png divorce.png illness.png now.png solar_rev.png up.png
attention.png down.png invbg.png objlist.png solar_sys.png ephemeris.png
pdir.png cpdir.png occult.png tensorflow.png
DESTINATION ${DATA_INSTALL_DIR}/pics)

=== src/swe/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set(swelib_SRCS
swecl.c    swehouse.c  swemmoon.c  swepdate.c  swephlib.c
swedate.c  swejpl.c    swemplan.c  swepcalc.c  sweph.c swehel.c
)

if(CMAKE_SIZEOF_VOID_P EQUAL 8)
	add_definitions(-fPIC)
endif(CMAKE_SIZEOF_VOID_P EQUAL 8)

add_library(swe STATIC ${swelib_SRCS})
target_link_libraries(swe dl m)

########### install files ###############

=== src/pics/tarots/CMakeLists.txt ===
install(FILES r10.jpg r18.jpg r25.jpg r32.jpg r3.jpg  r47.jpg r54.jpg r61.jpg r69.jpg r76.jpg
r11.jpg r19.jpg r26.jpg r33.jpg r40.jpg r48.jpg r55.jpg r62.jpg r6.jpg  r77.jpg
r12.jpg r1.jpg  r27.jpg r34.jpg r41.jpg r49.jpg r56.jpg r63.jpg r70.jpg r78.jpg
r13.jpg r20.jpg r28.jpg r35.jpg r42.jpg r4.jpg  r57.jpg r64.jpg r71.jpg r7.jpg
r14.jpg r21.jpg r29.jpg r36.jpg r43.jpg r50.jpg r58.jpg r65.jpg r72.jpg r8.jpg
r15.jpg r22.jpg r2.jpg  r37.jpg r44.jpg r51.jpg r59.jpg r66.jpg r73.jpg r9.jpg
r16.jpg r23.jpg r30.jpg r38.jpg r45.jpg r52.jpg r5.jpg  r67.jpg r74.jpg
r17.jpg r24.jpg r31.jpg r39.jpg r46.jpg r53.jpg r60.jpg r68.jpg r75.jpg
DESTINATION ${DATA_INSTALL_DIR}/pics/tarots)

=== src/pics/tarots/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.0

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:
.PHONY : .NOTPARALLEL

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/local/opt/kde5/bin/cmake

# The command to remove a file.
RM = /usr/local/opt/kde5/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/cg/cc/skylendar

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/cg/cc/skylendar

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/local/opt/kde5/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/local/opt/kde5/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/local/opt/kde5/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/local/opt/kde5/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/local/opt/kde5/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"skylendar\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/local/opt/kde5/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/local/opt/kde5/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /home/cg/cc/skylendar && $(CMAKE_COMMAND) -E cmake_progress_start /home/cg/cc/skylendar/CMakeFiles /home/cg/cc/skylendar/src/pics/tarots/CMakeFiles/progress.marks
	cd /home/cg/cc/skylendar && $(MAKE) -f CMakeFiles/Makefile2 src/pics/tarots/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/cg/cc/skylendar/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/cg/cc/skylendar && $(MAKE) -f CMakeFiles/Makefile2 src/pics/tarots/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/cg/cc/skylendar && $(MAKE) -f CMakeFiles/Makefile2 src/pics/tarots/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/cg/cc/skylendar && $(MAKE) -f CMakeFiles/Makefile2 src/pics/tarots/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/cg/cc/skylendar && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/cg/cc/skylendar && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
skylendar (4.2.1nn-1~mx21+1) mx; urgency=medium

  * Rebuild for MX-21
  * Manual workaround for buggy bullseye /usr/share/ \
  * cmake-3.18/Modules/FindPostgreSQL.cmake required to add version 13.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 12 Sep 2021 22:21:29 -0400

skylendar (4.2.1nn-1~mx19+1) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 10 Sep 2021 10:36:47 -0400

skylendar (4.2nn-1~mx19+1) mx; urgency=medium

  * Add missing libqt5sql5-psql dependency

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 09 Jul 2021 13:36:52 -0400

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 %:
 	dh $@
 
+override_dh_clean:
+	rm -f $(CURDIR)/CMakeCache.txt
+	dh_clean
+	
 override_dh_install:
 	dh_install
 	rm -rf $(CURDIR)/debian/skylendar/usr/lib64/
